<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/IsBoxCollidingGeometryProxyClasses.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">IsBoxCollidingGeometryProxyClasses.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../da/d47/class_box_colliding_params.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d47/class_box_colliding_params.html">BoxCollidingParams</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/d47/class_box_colliding_params.html#a34d684eab590842b72771c277df26e7d">   13</a></span>    proto native <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d47/class_box_colliding_params.html#a34d684eab590842b72771c277df26e7d">SetParams</a>(<a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> center, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> orientation, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> edgeLength, ObjIntersect primaryType, ObjIntersect secondaryType, <span class="keywordtype">bool</span> fullComponentInfo);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>}</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">class </span>ComponentInfo</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">   19</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a>;          </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#aa9ad56870045d244e14dd44cab4889fe">   20</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#aa9ad56870045d244e14dd44cab4889fe">componentMin</a>;    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a9d70335dd010dab1a1956619ca66f653">   21</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a9d70335dd010dab1a1956619ca66f653">componentMax</a>;    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a55dbcfe5cb1a0a7ddf7b641cbec468b8">   22</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> <a class="code hl_variable" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a55dbcfe5cb1a0a7ddf7b641cbec468b8">componentCenter</a>; </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#afacb67cf17d5fa74e41bde81e45d39a5">   23</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#afacb67cf17d5fa74e41bde81e45d39a5">componentRadius</a>;  </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>}</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d2/d41/classarray.html">   27</a></span><span class="keyword">class </span>BoxCollidingResult</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>{</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d2/d41/classarray.html#afcdcae1403eb6ef31bc8f60a98b5c24f">   29</a></span>    <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <a class="code hl_variable" href="../../d2/d41/classarray.html#afcdcae1403eb6ef31bc8f60a98b5c24f">obj</a>;     </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d2/d41/classarray.html#aa8d9bd7f7f0250e557cf1a38a9070818">   30</a></span>    <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <a class="code hl_variable" href="../../d2/d41/classarray.html#aa8d9bd7f7f0250e557cf1a38a9070818">parent</a>;  </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d2/d41/classarray.html#a9cebaf10318da7bc86e4949b5abdc975">   32</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d41/classarray.html#a9cebaf10318da7bc86e4949b5abdc975">hierLevel</a>;  </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d2/d41/classarray.html#a80c5fba5d7a40c1c4fb4aef596fe32bd">   33</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d2/d41/classarray.html#a80c5fba5d7a40c1c4fb4aef596fe32bd">geomLevel</a>;  </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d2/d41/classarray.html#a0bcdd1b4ada2078006367ecc0a01492a">   35</a></span>    ref ComponentInfoArray <a class="code hl_variable" href="../../d2/d41/classarray.html#a0bcdd1b4ada2078006367ecc0a01492a">componentInfo</a>;   </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d2/d41/classarray.html#ad1ccb302f4a7e4f8db8e5614df38d921">   36</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">ProxyInfoArray</a> <a class="code hl_variable" href="../../d2/d41/classarray.html#ad1ccb302f4a7e4f8db8e5614df38d921">proxyInfo</a>;           </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>}</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">typedef</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref ComponentInfo&gt;</a> ComponentInfoArray;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a9e2808253b0d00ac4704d3e285c23da7">   40</a></span><span class="keyword">typedef</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref BoxCollidingResult&gt;</a> <a class="code hl_typedef" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a9e2808253b0d00ac4704d3e285c23da7">ProxyInfoArray</a>;</div>
<div class="ttc" id="a_is_box_colliding_geometry_proxy_classes_8c_html_a55dbcfe5cb1a0a7ddf7b641cbec468b8"><div class="ttname"><a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a55dbcfe5cb1a0a7ddf7b641cbec468b8">componentCenter</a></div><div class="ttdeci">vector componentCenter</div><div class="ttdoc">Component center in world space.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00022">IsBoxCollidingGeometryProxyClasses.c:22</a></div></div>
<div class="ttc" id="a_is_box_colliding_geometry_proxy_classes_8c_html_a9d70335dd010dab1a1956619ca66f653"><div class="ttname"><a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a9d70335dd010dab1a1956619ca66f653">componentMax</a></div><div class="ttdeci">vector componentMax</div><div class="ttdoc">Component max in world space.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00021">IsBoxCollidingGeometryProxyClasses.c:21</a></div></div>
<div class="ttc" id="a_is_box_colliding_geometry_proxy_classes_8c_html_a9e2808253b0d00ac4704d3e285c23da7"><div class="ttname"><a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#a9e2808253b0d00ac4704d3e285c23da7">ProxyInfoArray</a></div><div class="ttdeci">array&lt; ref BoxCollidingResult &gt; ProxyInfoArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00040">IsBoxCollidingGeometryProxyClasses.c:40</a></div></div>
<div class="ttc" id="a_is_box_colliding_geometry_proxy_classes_8c_html_aa9ad56870045d244e14dd44cab4889fe"><div class="ttname"><a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#aa9ad56870045d244e14dd44cab4889fe">componentMin</a></div><div class="ttdeci">vector componentMin</div><div class="ttdoc">Component min in world space.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00020">IsBoxCollidingGeometryProxyClasses.c:20</a></div></div>
<div class="ttc" id="a_is_box_colliding_geometry_proxy_classes_8c_html_af773dec082e0ba8221810d6fe6f5b67b"><div class="ttname"><a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a></div><div class="ttdeci">class BoxCollidingParams component</div><div class="ttdoc">ComponentInfo for BoxCollidingResult.</div></div>
<div class="ttc" id="a_is_box_colliding_geometry_proxy_classes_8c_html_afacb67cf17d5fa74e41bde81e45d39a5"><div class="ttname"><a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#afacb67cf17d5fa74e41bde81e45d39a5">componentRadius</a></div><div class="ttdeci">float componentRadius</div><div class="ttdoc">Radius of bounding box.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00023">IsBoxCollidingGeometryProxyClasses.c:23</a></div></div>
<div class="ttc" id="aclass_box_colliding_params_html"><div class="ttname"><a href="../../da/d47/class_box_colliding_params.html">BoxCollidingParams</a></div><div class="ttdoc">Class that holds parameters to feed into CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00002">IsBoxCollidingGeometryProxyClasses.c:3</a></div></div>
<div class="ttc" id="aclass_box_colliding_params_html_a34d684eab590842b72771c277df26e7d"><div class="ttname"><a href="../../da/d47/class_box_colliding_params.html#a34d684eab590842b72771c277df26e7d">BoxCollidingParams::SetParams</a></div><div class="ttdeci">proto native void SetParams(vector center, vector orientation, vector edgeLength, ObjIntersect primaryType, ObjIntersect secondaryType, bool fullComponentInfo)</div><div class="ttdoc">Set the parameters.</div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassarray_html_a0bcdd1b4ada2078006367ecc0a01492a"><div class="ttname"><a href="../../d2/d41/classarray.html#a0bcdd1b4ada2078006367ecc0a01492a">array::componentInfo</a></div><div class="ttdeci">ref ComponentInfoArray componentInfo</div><div class="ttdoc">Either the first component found or all of them depending on &quot;fullComponentInfo&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00035">IsBoxCollidingGeometryProxyClasses.c:35</a></div></div>
<div class="ttc" id="aclassarray_html_a80c5fba5d7a40c1c4fb4aef596fe32bd"><div class="ttname"><a href="../../d2/d41/classarray.html#a80c5fba5d7a40c1c4fb4aef596fe32bd">array::geomLevel</a></div><div class="ttdeci">int geomLevel</div><div class="ttdoc">What geometry was the object found in (will either be primaryType or secondaryType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00033">IsBoxCollidingGeometryProxyClasses.c:33</a></div></div>
<div class="ttc" id="aclassarray_html_a9cebaf10318da7bc86e4949b5abdc975"><div class="ttname"><a href="../../d2/d41/classarray.html#a9cebaf10318da7bc86e4949b5abdc975">array::hierLevel</a></div><div class="ttdeci">int hierLevel</div><div class="ttdoc">How deep in the proxy hierarchy are we.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00032">IsBoxCollidingGeometryProxyClasses.c:32</a></div></div>
<div class="ttc" id="aclassarray_html_aa8d9bd7f7f0250e557cf1a38a9070818"><div class="ttname"><a href="../../d2/d41/classarray.html#aa8d9bd7f7f0250e557cf1a38a9070818">array::parent</a></div><div class="ttdeci">Object parent</div><div class="ttdoc">Parent of proxy object.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00030">IsBoxCollidingGeometryProxyClasses.c:30</a></div></div>
<div class="ttc" id="aclassarray_html_ad1ccb302f4a7e4f8db8e5614df38d921"><div class="ttname"><a href="../../d2/d41/classarray.html#ad1ccb302f4a7e4f8db8e5614df38d921">array::proxyInfo</a></div><div class="ttdeci">ref ProxyInfoArray proxyInfo</div><div class="ttdoc">Either the first proxy found or all of them depending on &quot;fullComponentInfo&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00036">IsBoxCollidingGeometryProxyClasses.c:36</a></div></div>
<div class="ttc" id="aclassarray_html_afcdcae1403eb6ef31bc8f60a98b5c24f"><div class="ttname"><a href="../../d2/d41/classarray.html#afcdcae1403eb6ef31bc8f60a98b5c24f">array::obj</a></div><div class="ttdeci">Object obj</div><div class="ttdoc">Object inside of box.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00029">IsBoxCollidingGeometryProxyClasses.c:29</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html">IsBoxCollidingGeometryProxyClasses.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
